IPv4 Advanced IP Settings tab

You can use the settings on this tab for this network connection only if you are not using the Obtain an IP address automatically on the General tab.

IP addresses lists additional Internet Protocol version 4 (IPv4) addresses that can be assigned to this network connection. There is no limit to the number of IP addresses that can be configured. This setting is useful if this computer connects to a single physical network but requires advanced IP addressing because of either of the following reasons:

  • A single logical IP network is in use and this computer needs to use more than one IP address to communicate on that network.

  • Multiple logical IP networks are in use and this computer needs a different IP address to communicate with each of the different logical IP networks.

Default gateways lists IP addresses for additional default gateways that can be used by this network connection. A default gateway is a local IP router that is used to forward packets to destinations beyond the local network.

Automatic metric specifies whether TCP/IP automatically calculates a value for an interface metric that is based on the speed of the interface. The highest-speed interface has the lowest interface metric value.

Interface metric provides a location for you to type a value for the interface metric for this network connection. A lower value for the interface metric indicates a higher priority for use of this interface.

Procedures

To configure additional IP addresses for this connection

  1. In IP Addresses, click Add.

  2. Type an IP address in IP address.

  3. Type a subnet mask in Subnet mask, and then click Add.

  4. Repeat steps 1 through 3 for each IP address you want to add, and then click OK.
To configure additional default gateways for this connection

  1. On the IP Settings tab, in Default gateways, click Add.

  2. In TCP/IP Gateway Address, type the IP address of the default gateway in Gateway. To manually configure a default route metric, clear the Automatic metric check box and type a metric in Metric.

  3. Click Add.

  4. Repeat steps 1 through 3 for each default gateway you want to add, and then click OK.
To configure a custom metric for this connection

  • Clear the Automatic metric check box, and then type a metric value in Interface metric.

Additional Resources

For updated detailed IT pro information about TCP/IP versions 4 and 6, see the Windows Server® 2008 documentation on the Microsoft TechNet Web site.


IPv4 Advanced WINS tab

You can use the settings on this tab for this network connection only if you are not using the Obtain an IP address automatically on the General tab.

WINS addresses, in order of use lists the Windows Internet Name Service (WINS) servers that TCP/IP queries to resolve network basic input/output system (NetBIOS) names. WINS servers are queried in the order in which they are listed here.

Enable LMHOSTS lookup specifies whether an Lmhosts file is used to resolve the NetBIOS names of remote computers to an IP address.

Click Import LMHOSTS to import a file into the Lmhosts file. The Lmhosts file is located in the %SystemRoot%\System32\Drivers\Etc folder on a Windows-based computer. There is also a sample Lmhosts file (Lmhosts.sam) in this folder. When you import LMHOSTS from a file, the original Lmhosts file is not appended to, but is overwritten by the new file.

NetBIOS setting specifies whether this network connection obtains the setting to enable or disable NetBIOS over TCP/IP (NetBT) from a Dynamic Host Configuration Protocol (DHCP) server.

When an IP address is automatically obtained, the Default option is selected so that this computer uses the NetBT setting as optionally provided by the DHCP server when this computer obtains an IP address and configuration lease. If the Disable NetBIOS over TCP/IP (NetBT) DHCP option is provided by the DHCP server, the value of the option determines whether NetBT is enabled or disabled. If the Disable NetBIOS over TCP/IP (NetBT) DHCP option is not provided by the DHCP server, NetBT is enabled.

If you are manually configuring an IP address, selecting Enable NetBIOS over TCP/IP enables NetBT. This option is not available for dial-up connections.

Procedures

To configure advanced WINS properties

  1. In WINS addresses, in order of use, click Add, type the address of the WINS server, and then click Add.

  2. Repeat step 1 for each WINS server IP address you want to add, and then click OK.
To enable the use of the Lmhosts file to resolve remote NetBIOS names

  • Select the Enable LMHOSTS lookup check box. This option is enabled by default.
To specify the location of the file that you want to import into the Lmhosts file

  • Click Import LMHOSTS, and then select the file in the Open dialog box.
To enable or disable NetBIOS over TCP/IP

  • To enable the use of NetBIOS over TCP/IP, click Enable NetBIOS over TCP/IP.

  • To disable the use of NetBIOS over TCP/IP, click Disable NetBIOS over TCP/IP.

  • To have the DHCP server determine whether NetBIOS over TCP/IP is enabled or disabled, click Default.

Additional Resources


IPv4 Alternate Configuration tab

Automatic private IP address specifies that IPv4 use Automatic Private IP Addressing (APIPA) if a Dynamic Host Configuration Protocol (DHCP) server is not found. APIPA assigns an IP address from the range 169.254.0.1 through 169.254.255.254 and a subnet mask of 255.255.0.0. APIPA does not assign a default gateway, Domain Name System (DNS) servers, or servers running Windows Internet Name Service (WINS).

User configured specifies that IPv4 use a manually specified configuration if a DHCP server is not found. This alternate configuration is useful when the computer is used on more than one network, at least one of the networks does not have a DHCP server, and an APIPA configuration is not wanted. A good example is a portable computer that is used at the office and at home. At the office, the laptop uses a DHCP-allocated TCP/IP configuration. At home, where there is no DHCP server present, the portable computer automatically uses the alternate configuration, allowing easy access to home network devices and the Internet. This enables the portable computer to operate seamlessly on both networks without manual IP reconfiguration.

Procedures

To specify user-configured settings

  • Click User configured, and then type appropriate values for the following:

    • IP address

    • Subnet mask

    • Default gateway

    • Preferred and alternate DNS server

    • Preferred and alternate WINS server

Additional Resources


IPv4 and IPv6 Advanced DNS tab

You can use the settings on this tab for this network connection only if you are not using Obtain DNS server address automatically on the General tab.

DNS server addresses, in order of use lists the DNS servers by IP address that this computer queries to resolve DNS domain names used on this computer. DNS servers are queried in the order in which they are listed here. The local setting is used only if the associated Group Policy is disabled or unspecified.

Append primary and connection specific DNS suffixes specifies that resolution for unqualified names that are used on this computer are limited to the domain suffixes of the primary suffix and all connection-specific suffixes. Connection-specific suffixes are configured in DNS suffix for this connection. The primary DNS suffix is configured by clicking Properties on the Computer Name tab (available in System in Control Panel). The local setting is used only if the associated Group Policy is disabled or unspecified.

For example, if your primary DNS suffix is dev.wcoast.microsoft.com and you type ping xyz at a command prompt, the computer queries for xyz.dev.wcoast.microsoft.com. If you also configure a connection-specific domain name on one of your connections for bldg23.dev.wcoast.microsoft.com, the computer queries for xyz.dev.wcoast.microsoft.com and xyz.bldg23.dev.wcoast.microsoft.com.

Append these DNS suffixes (in order), lists the DNS suffixes to search in the order listed when you use the Append these DNS suffixes option.

DNS suffix for this connection provides a space for you to specify a DNS suffix for this connection. If a DHCP server configures this connection and you do not specify a DNS suffix, a DNS suffix for this connection is assigned to this connection by the appropriately configured DHCP server. If you specify a DNS suffix, the DNS suffix assigned by the DHCP server is ignored. The local setting is used only if the associated Group Policy is disabled or unspecified.

Register this connection's addresses in DNS specifies that the computer attempt dynamic registration of the IP addresses (through DNS) of this connection with the full computer name of this computer, as specified on the Computer Name tab (available in System in Control Panel). The local setting is used only if the associated Group Policy is disabled or unspecified.

Use this connection's DNS suffix in DNS registration specifies whether DNS dynamic update is used to register the IP addresses and the connection-specific domain name of this connection. The connection-specific DNS name of this connection is the concatenation of the computer name (which is the first label of the full computer name) and the DNS suffix of this connection. The full computer name is specified on the Computer Name tab (available in System in Control Panel). If the Register this connection's addresses in DNS check box is selected, this registration is in addition to the DNS registration of the full computer name. The local setting is used only if the associated Group Policy is disabled or unspecified.

Procedures

To configure an additional DNS server IP address

  1. Under DNS server addresses, in order of use, click Add.

  2. In DNS server, type the IP address of the DNS server, and then click Add.
To modify the resolution behavior for unqualified DNS names, do the following

  • To resolve an unqualified name by appending the primary DNS suffix and the DNS suffix of each connection (if configured), click Append primary and connection specific DNS suffixes. If you also want to search the parent suffixes of the primary DNS suffix up to the second level domain, select the Append parent suffixes of the primary DNS suffix check box.

  • To resolve an unqualified name by appending the suffixes from a list of configured suffixes, click Append these DNS suffixes (in order), and then click Add to add suffixes to the list.

    To configure a connection-specific DNS suffix, type the DNS suffix in DNS suffix for this connection.
To modify DNS dynamic update behavior

  • To use a DNS dynamic update to register the IP addresses of this connection and the primary domain name of the computer, select the Register this connection's addresses in DNS check box. This option is enabled by default. The primary domain name of the computer is the primary DNS suffix appended to the computer name and can be viewed as the full computer name on the Computer Name tab (available in System in Control Panel).

  • To use a DNS dynamic update to register the IP addresses and the connection-specific domain name of this connection, select the Use this connection's DNS suffix in DNS registration check box. This option is disabled by default. The connection-specific domain name of this connection is the DNS suffix for this connection appended to the computer name.

Additional Resources


IPv4 General tab

This network connection can dynamically obtain an Internet Protocol (IP) version 4 address from a Dynamic Host Configuration Protocol (DHCP) server or a Point-to-Point Protocol (PPP) dial-up network access server. This option is not available for dial-up connections that call a Serial Line Internet Protocol (SLIP) server.

Alternatively, this network connection can use a manually specified IP address (also known as a static IP address). If you select this option, you must specify an IP address in IP address and, for LAN and high-speed Internet connections, a subnet mask in Subnet mask.

Procedures

To configure IPv4 for dynamic addressing (default)

  • Click Obtain an IP address automatically, and then click OK.

  • This procedure is only required if a static IPv4 configuration was previously used. By default, computers running Windows operating systems attempt to obtain the IPv4 configuration from a DHCP server on your network.
To configure IPv4 for static addressing

  1. Click Use the following IP address, and do one of the following:

    • For a local area connection, in IP address, Subnet mask, and Default gateway, type the IP address, subnet mask, and default gateway addresses.

    • For all other connections, in IP address, type the IP address.

  2. Click Use the following DNS server addresses.

  3. In Preferred DNS server and Alternate DNS server, type the primary and secondary DNS server addresses.

To configure advanced static IPv4 address settings for a local area connection, click Advanced.

Additional Resources


IPv6 Advanced IP Settings tab

You can use the settings on this tab for this network connection only if you are not using the Obtain an IPv6 address automatically on the General tab.

IP addresses lists additional Internet Protocol version 6 (IPv6) addresses that can be assigned to this network connection. There is no limit to the number of IP addresses that can be configured. This setting is useful if this computer connects to a single physical network but requires advanced IP addressing because of either of the following reasons:

  • A single logical IP network is in use and this computer needs to use more than one IP address to communicate on that network.

  • Multiple logical IP networks are in use and this computer needs a different IP address to communicate with each of the different logical IP networks.

Default gateways lists IP addresses for additional default gateways that can be used by this network connection. A default gateway is a local IP router that is used to forward packets to destinations beyond the local network.

Automatic metric specifies whether TCP/IP automatically calculates an interface metric that is based on the speed of the interface. The highest-speed interface has the lowest interface metric.

Interface metric provides a location for you to type a value for the interface metric for this network connection. A lower value for the interface metric indicates a higher priority for use of this interface. The default value is 5.

Procedures

To configure additional IP addresses for this connection

  1. In IP Addresses, click Add.

  2. Type an IP address in IP address.

  3. Type a subnet prefix length in Subnet prefix length, and then click Add.

  4. Repeat steps 1 through 3 for each IP address you want to add, and then click OK.
To configure additional default gateways for this connection

  1. On the IP Settings tab, in Default gateways, click Add.

  2. In Default gateways, type the IP address of the default gateway in Gateway. To manually configure a default route metric, clear the Automatic metric check box and type a metric in Metric.

  3. Click Add.

  4. Repeat steps 1 through 3 for each default gateway you want to add, and then click OK.
To configure a custom metric for this connection

  • Clear the Automatic metric check box, and then type a metric value in Interface metric.

Additional Resources


IPv6 General tab

This network connection can use IPv6 auto-configuration to dynamically assign itself a link-local address, or it can obtain an Internet Protocol version 6 (IPv6) address from a Dynamic Host Configuration Protocol (DHCPv6) server.

Alternatively, this network connection can use a manually specified IPv6 address (also known as a static IPv6 address). If you select this option, you must specify an IP address in IPv6 address. You must also specify a subnet prefix length and a default gateway. The standard prefix length (unless specified otherwise) is 64.

When you select Obtain an IPv6 address automatically, IPv6 auto-configuration is enabled. A network connection automatically assigns a link-local address to itself and its default gateway can assign it more addresses. The default gateway can specify that the network connection must use DHCPv6 to obtain more IPv6 addresses, but it is not required by default.

When you select Use the following IPv6 address, IPv6 auto-configuration is still enabled, but static IPv6 addresses are assigned in addition to the auto-configured IPv6 addresses.

Procedures

To configure IPv6 for dynamic addressing (default)

  • Click Obtain an IPv6 address automatically, and then click OK.

    This procedure is only required if a static IPv6 configuration was previously used. By default, computers running Windows operating systems attempt to obtain IP configuration from a DHCP server on your network. In this context, Domain Name System (DNS) is included as part of IP configuration.
To configure IPv6 for static addressing

  1. Click Use the following IPv6 address, and then do one of the following:

    • For a local area connection, in IPv6 address, Subnet prefix length, and Default gateway, type the IP address, subnet prefix length, and default gateway address.

    • For all other connections, in IPv6 address, type the IP address.

  2. Click Use the following DNS server addresses.

  3. In Preferred DNS server and Alternate DNS server, type the primary and secondary DNS server addresses.

To configure advanced static IPv6 address settings for a local area connection, click Advanced.

Additional Resources